diff -uNrd ircd-ratbox-1.2-3+ipmask/include/client.h ircd-ratbox-1.2-3/include/client.h
--- ircd-ratbox-1.2-3+ipmask/include/client.h	Thu Nov 27 09:18:27 2003
+++ ircd-ratbox-1.2-3/include/client.h	Tue Aug  5 15:07:08 2003
@@ -150,7 +150,6 @@
 	 * considered a read-only field after the client has registered.
 	 */
 	char host[HOSTLEN + 1];	/* client's hostname */
-	char rhost[HOSTLEN + 1];
 	/*
 	 * client->info for unix clients will normally contain the info from the 
 	 * gcos field in /etc/passwd but anything can go here.
@@ -383,8 +382,6 @@
 #define UMODE_OPER         0x20000	/* Operator */
 #define UMODE_ADMIN        0x40000	/* Admin on server */
 
-#define UMODE_IPMASK	   0x80000
-
 #define UMODE_ALL	   UMODE_SERVNOTICE
 
 
@@ -421,7 +418,7 @@
 #define FLAGS2_EXEMPTSPAMBOT	0x1000000
 
 #define SEND_UMODES  (UMODE_INVISIBLE | UMODE_OPER | UMODE_WALLOP | \
-                      UMODE_ADMIN | UMODE_IPMASK)
+                      UMODE_ADMIN)
 #define ALL_UMODES   (SEND_UMODES | UMODE_SERVNOTICE | UMODE_CCONN | \
                       UMODE_REJ | UMODE_SKILL | UMODE_FULL | UMODE_SPY | \
                       UMODE_NCHANGE | UMODE_OPERWALL | UMODE_DEBUG | \
@@ -500,8 +497,6 @@
 
 #define SetGotId(x)             ((x)->flags |= FLAGS_GOTID)
 #define IsGotId(x)              (((x)->flags & FLAGS_GOTID) != 0)
-
-#define IsMasked(x)				((x)->umodes & UMODE_IPMASK)
 
 /*
  * flags2 macros.
diff -uNrd ircd-ratbox-1.2-3+ipmask/include/numeric.h ircd-ratbox-1.2-3/include/numeric.h
--- ircd-ratbox-1.2-3+ipmask/include/numeric.h	Thu Nov 27 09:18:27 2003
+++ ircd-ratbox-1.2-3/include/numeric.h	Thu Jun 26 07:01:41 2003
@@ -183,15 +183,12 @@
 #define RPL_ENDOFBANLIST     368
 /* rpl_endofwhowas above (369) */
 
-#define RPL_WHOWASREALHOST   370
 #define RPL_INFO             371
 #define RPL_MOTD             372
 #define RPL_INFOSTART        373
 #define RPL_ENDOFINFO        374
 #define RPL_MOTDSTART        375
 #define RPL_ENDOFMOTD        376
-
-#define RPL_WHOISHOST        378 /* -Jeremy */
 
 #define RPL_YOUREOPER        381
 #define RPL_REHASHING        382
diff -uNrd ircd-ratbox-1.2-3+ipmask/include/patchlevel.h ircd-ratbox-1.2-3/include/patchlevel.h
--- ircd-ratbox-1.2-3+ipmask/include/patchlevel.h	Thu Nov 27 09:18:45 2003
+++ ircd-ratbox-1.2-3/include/patchlevel.h	Wed Sep 24 06:38:17 2003
@@ -25,5 +25,5 @@
  */
 
 #ifndef PATCHLEVEL
-#define PATCHLEVEL   "ircd-ratbox-1.2-3+ipmask-1.2-2 (brown paper bag release)"
+#define PATCHLEVEL   "ircd-ratbox-1.2-3 (brown paper bag release)"
 #endif
diff -uNrd ircd-ratbox-1.2-3+ipmask/include/s_conf.h ircd-ratbox-1.2-3/include/s_conf.h
--- ircd-ratbox-1.2-3+ipmask/include/s_conf.h	Thu Nov 27 09:18:27 2003
+++ ircd-ratbox-1.2-3/include/s_conf.h	Fri Sep  5 17:03:00 2003
@@ -140,9 +140,6 @@
 #define CONF_FLAGS_CRYPTLINK            0x00400000
 #define CONF_FLAGS_VHOSTED		0x00800000
 #define CONF_FLAGS_TB			0x01000000
-
-#define CONF_FLAGS_IPMASK		0x02000000
-#define CONF_FLAGS_NO_MASK_NOTICE	0x04000000
 /* Macros for struct ConfItem */
 
 #define IsLimitIp(x)            ((x)->flags & CONF_FLAGS_LIMIT_IP)
@@ -165,8 +162,6 @@
 #define IsConfCryptLink(x)      ((x)->flags & CONF_FLAGS_CRYPTLINK)
 #define IsConfVhosted(x)	((x)->flags & CONF_FLAGS_VHOSTED)
 #define IsConfTburst(x)		((x)->flags & CONF_FLAGS_TB)
-#define IsConfDoMaskIp(x)		((x)->flags & CONF_FLAGS_IPMASK)
-#define IsConfNoMaskNotice(x)	((x)->flags & CONF_FLAGS_NO_MASK_NOTICE)
 
 /* flag definitions for opers now in client.h */
 
diff -uNrd ircd-ratbox-1.2-3+ipmask/include/s_serv.h ircd-ratbox-1.2-3/include/s_serv.h
--- ircd-ratbox-1.2-3+ipmask/include/s_serv.h	Thu Nov 27 09:18:28 2003
+++ ircd-ratbox-1.2-3/include/s_serv.h	Fri Sep  5 17:03:00 2003
@@ -74,13 +74,12 @@
 #define CAP_UNKLN       0x00100000	/* supports remote unkline */
 #define CAP_CLUSTER	0x00200000	/* supports clustering */
 #define CAP_ENCAP	0x00400000
-#define CAP_IPMASK	0x00800000
 
 #define CAP_MASK        (CAP_QS  | CAP_EX   | CAP_CHW  | \
                          CAP_IE  | CAP_EOB  | CAP_KLN  | \
                          CAP_GLN | CAP_CLUSTER | CAP_ENCAP | \
                          CAP_UID | CAP_ZIP  | CAP_ENC | \
-                         CAP_KNOCK  | CAP_UNKLN | CAP_IPMASK)
+                         CAP_KNOCK  | CAP_UNKLN)
 
 #ifdef HAVE_LIBZ
 #define CAP_ZIP_SUPPORTED       CAP_ZIP
diff -uNrd ircd-ratbox-1.2-3+ipmask/include/s_user.h ircd-ratbox-1.2-3/include/s_user.h
--- ircd-ratbox-1.2-3+ipmask/include/s_user.h	Thu Nov 27 09:18:28 2003
+++ ircd-ratbox-1.2-3/include/s_user.h	Tue Jul  8 08:21:53 2003
@@ -44,7 +44,7 @@
 extern int do_local_user(char *, struct Client *, struct Client *, char *, char *, char *, char *);
 
 extern int do_remote_user(char *, struct Client *, struct Client *,
-			  char *, char *, char *, char *, char *, char *);
+			  char *, char *, char *, char *, char *);
 
 extern int user_modes_from_c_to_bitmask[];
 extern void show_isupport(struct Client *);
diff -uNrd ircd-ratbox-1.2-3+ipmask/include/whowas.h ircd-ratbox-1.2-3/include/whowas.h
--- ircd-ratbox-1.2-3+ipmask/include/whowas.h	Thu Nov 27 09:18:28 2003
+++ ircd-ratbox-1.2-3/include/whowas.h	Thu Jun 26 07:01:42 2003
@@ -51,7 +51,6 @@
 	char name[NICKLEN];
 	char username[USERLEN + 1];
 	char hostname[HOSTLEN + 1];
-	char rhostname[HOSTLEN + 1];
 	const char *servername;
 	char realname[REALLEN + 1];
 	time_t logoff;
diff -uNrd ircd-ratbox-1.2-3+ipmask/modules/core/m_nick.c ircd-ratbox-1.2-3/modules/core/m_nick.c
--- ircd-ratbox-1.2-3+ipmask/modules/core/m_nick.c	Thu Nov 27 09:18:28 2003
+++ ircd-ratbox-1.2-3/modules/core/m_nick.c	Thu Jun 26 07:02:37 2003
@@ -286,7 +286,7 @@
 	}
 
 	/* parc == 3 on nickchange, parc == 9 on new nick */
-	if((IsClient(source_p) && (parc != 3)) || (IsServer(source_p) && ((parc != 9) && (parc != 10))))
+	if((IsClient(source_p) && (parc != 3)) || (IsServer(source_p) && (parc != 9)))
 	{
 		char tbuf[BUFSIZE] = { 0 };
 		int j;
@@ -315,19 +315,19 @@
 			    (parc == 9 ? parv[7] : (char *)source_p->user->server)))
 		return;
 
-	if(parc == 9 || parc == 10)
+	if(parc == 9)
 	{
 		if(check_clean_user(client_p, nick, parv[5], parv[7]) ||
 		   check_clean_host(client_p, nick, parv[6], parv[7]))
 			return;
 
 		/* check the length of the clients gecos */
-		if(strlen(parv[(parc > 9)? 9 : 8]) > REALLEN)
+		if(strlen(parv[8]) > REALLEN)
 		{
 			sendto_realops_flags(UMODE_ALL, L_ALL,
 					     "Long realname from server %s for %s", parv[7],
 					     parv[1]);
-			parv[(parc > 9)? 9 : 8][REALLEN] = '\0';
+			parv[8][REALLEN] = '\0';
 		}
 
 		if(IsServer(source_p))
@@ -385,7 +385,7 @@
 	char *name;
 
 	id = parv[8];
-	name = parv[(parc > 10)? 10 : 9];
+	name = parv[9];
 
 	/* parse the nickname */
 	strlcpy(nick, parv[1], sizeof(nick));
@@ -670,7 +670,7 @@
 			}
 
 			return do_remote_user(nick, client_p, source_p, parv[5], parv[6],
-					      parv[7], (parc > 9)? parv[8] : NULL, parv[(parc > 9)? 9 : 8], NULL);
+					      parv[7], parv[8], NULL);
 		}
 	}
 	else if(source_p->name[0])
@@ -747,7 +747,7 @@
 
 	}
 
-	return do_remote_user(nick, client_p, source_p, parv[5], parv[6], parv[7], (parc > 10)? parv[9] : NULL, name, id);
+	return do_remote_user(nick, client_p, source_p, parv[5], parv[6], parv[7], name, id);
 }
 
 static int
diff -uNrd ircd-ratbox-1.2-3+ipmask/modules/m_whois.c ircd-ratbox-1.2-3/modules/m_whois.c
--- ircd-ratbox-1.2-3+ipmask/modules/m_whois.c	Thu Nov 27 09:18:28 2003
+++ ircd-ratbox-1.2-3/modules/m_whois.c	Sat Aug  2 04:39:27 2003
@@ -281,9 +281,6 @@
 		   target_p->username, target_p->host, target_p->info);
 	server_name = (char *) target_p->user->server;
 
-  if((IsOper(source_p)) || (source_p == target_p))
-    sendto_one(source_p, form_str(RPL_WHOISHOST), me.name, source_p->name, target_p->name, target_p->rhost);
-
 	cur_len = mlen = ircsprintf(buf, form_str(RPL_WHOISCHANNELS), me.name, source_p->name, target_p->name);
 	t = buf + mlen;
 
diff -uNrd ircd-ratbox-1.2-3+ipmask/modules/m_whowas.c ircd-ratbox-1.2-3/modules/m_whowas.c
--- ircd-ratbox-1.2-3+ipmask/modules/m_whowas.c	Thu Nov 27 09:18:28 2003
+++ ircd-ratbox-1.2-3/modules/m_whowas.c	Thu Jun 26 07:02:15 2003
@@ -153,10 +153,6 @@
 				sendto_one(source_p, form_str(RPL_WHOISSERVER),
 					   me.name, parv[0], temp->name,
 					   temp->servername, myctime(temp->logoff));
-
-          if(IsOper(source_p))
-            sendto_one(source_p, form_str(RPL_WHOWASREALHOST), me.name, parv[0], temp->name, temp->hostname, temp->rhostname);
-
 			cur++;
 			found++;
 		}
diff -uNrd ircd-ratbox-1.2-3+ipmask/src/client.c ircd-ratbox-1.2-3/src/client.c
--- ircd-ratbox-1.2-3+ipmask/src/client.c	Thu Nov 27 09:18:57 2003
+++ ircd-ratbox-1.2-3/src/client.c	Tue Aug  5 15:28:12 2003
@@ -1539,7 +1539,7 @@
 		if(IsPerson(source_p))
 			sendto_realops_flags(UMODE_CCONN, L_ALL,
 					     "Client exiting: %s (%s@%s) [%s] [%s]",
-					     source_p->name, source_p->username, source_p->rhost,
+					     source_p->name, source_p->username, source_p->host,
 					     comment,
 #ifdef HIDE_SPOOF_IPS
 					     IsIPSpoof(source_p) ? "255.255.255.255" :
diff -uNrd ircd-ratbox-1.2-3+ipmask/src/hostmask.c ircd-ratbox-1.2-3/src/hostmask.c
--- ircd-ratbox-1.2-3+ipmask/src/hostmask.c	Thu Nov 27 09:18:28 2003
+++ ircd-ratbox-1.2-3/src/hostmask.c	Thu Jun 26 07:03:11 2003
@@ -454,9 +454,6 @@
 	aconf = find_conf_by_address(client_p->host, &client_p->localClient->ip,
 				     CONF_KILL, client_p->localClient->aftype, client_p->username);
 
-	if (!aconf)
-		aconf = find_conf_by_address(client_p->rhost, &client_p->localClient->ip, CONF_KILL, client_p->localClient->aftype, client_p->username);
-
 	return aconf;
 }
 
@@ -473,9 +470,6 @@
 
 	aconf = find_conf_by_address(client_p->host, &client_p->localClient->ip,
 				     CONF_GLINE, client_p->localClient->aftype, client_p->username);
-
-	if (!aconf)
-		aconf = find_conf_by_address(client_p->rhost, &client_p->localClient->ip, CONF_GLINE, client_p->localClient->aftype, client_p->username);
 
 	return aconf;
 }
diff -uNrd ircd-ratbox-1.2-3+ipmask/src/messages.tab ircd-ratbox-1.2-3/src/messages.tab
--- ircd-ratbox-1.2-3+ipmask/src/messages.tab	Thu Nov 27 09:18:28 2003
+++ ircd-ratbox-1.2-3/src/messages.tab	Sat Sep  6 13:18:13 2003
@@ -394,7 +394,7 @@
 /* 367 RPL_BANLIST, */          ":%s 367 %s %s %s %s %lu",
 /* 368 RPL_ENDOFBANLIST, */     ":%s 368 %s %s :End of Channel Ban List",
 /* 369 RPL_ENDOFWHOWAS, */      ":%s 369 %s %s :End of WHOWAS",
-/* 370 RPL_WHOWASREALHOST, */   ":%s 370 %s :%s was connected from *@%s [%s]", 
+/* 370 */       NULL,
 /* 371 RPL_INFO, */             ":%s 371 %s :%s",
 /* 372 RPL_MOTD, */             ":%s 372 %s :- %s",
 /* 373 RPL_INFOSTART, */        ":%s 373 %s :Server INFO",
@@ -402,7 +402,7 @@
 /* 375 RPL_MOTDSTART, */        ":%s 375 %s :- %s Message of the Day - ",
 /* 376 RPL_ENDOFMOTD, */        ":%s 376 %s :End of /MOTD command.",
 /* 377 */       NULL,
-/* 378 RPL_WHOISHOST */         ":%s 378 %s :%s is connected from *@%s",
+/* 378 */       NULL,
 /* 379 */       NULL,
 /* 380 */       NULL,
 /* 381 RPL_YOUREOPER, */        ":%s 381 %s :You have entered... the Vanity Zone!.",
diff -uNrd ircd-ratbox-1.2-3+ipmask/src/newconf.c ircd-ratbox-1.2-3/src/newconf.c
--- ircd-ratbox-1.2-3+ipmask/src/newconf.c	Thu Nov 27 09:18:28 2003
+++ ircd-ratbox-1.2-3/src/newconf.c	Sat Sep  6 13:18:13 2003
@@ -108,8 +108,6 @@
 	{"restricted", CONF_FLAGS_RESTRICTED},
 	{"need_ident", CONF_FLAGS_NEED_IDENTD},
 	{"have_ident", CONF_FLAGS_NEED_IDENTD},
-	{"mask", CONF_FLAGS_IPMASK},
-	{"no_mask_notice", CONF_FLAGS_NO_MASK_NOTICE},
 	{NULL}
 };
 
@@ -1359,28 +1357,6 @@
 	DupString(yy_achead->className, data);
 }
 
-static void
-conf_set_auth_mask(void *data)
-{
-	int yesno = *(unsigned int *) data;
-
-	if (yesno)
-		yy_achead->flags |= CONF_FLAGS_IPMASK;
-	else
-		yy_achead->flags &= ~CONF_FLAGS_IPMASK;
-}
-
-static void
-conf_set_auth_no_mask_notice (void *data)
-{
-	int yesno = *(unsigned int *) data;
-
-	if (yesno)
-		yy_achead->flags |= CONF_FLAGS_NO_MASK_NOTICE;
-	else
-		yy_achead->flags &= ~CONF_FLAGS_NO_MASK_NOTICE;
-}
-
 static int
 conf_begin_resv(struct TopConf *tc)
 {
@@ -2991,8 +2967,6 @@
 	add_conf_item("auth", "flood_exempt", CF_YESNO, conf_set_auth_flood_exempt);
 	add_conf_item("auth", "redirserv", CF_QSTRING, conf_set_auth_redir_serv);
 	add_conf_item("auth", "redirport", CF_INT, conf_set_auth_redir_port);
-	add_conf_item("auth", "mask", CF_YESNO, conf_set_auth_mask);
-	add_conf_item("auth", "no_mask_notice", CF_YESNO, conf_set_auth_no_mask_notice);
 	add_conf_item("auth", "flags", CF_STRING | CF_FLIST, conf_set_auth_flags);
 
 	add_top_conf("resv", conf_begin_resv, conf_end_resv);
diff -uNrd ircd-ratbox-1.2-3+ipmask/src/s_conf.c ircd-ratbox-1.2-3/src/s_conf.c
--- ircd-ratbox-1.2-3+ipmask/src/s_conf.c	Thu Nov 27 09:18:28 2003
+++ ircd-ratbox-1.2-3/src/s_conf.c	Sat Sep  6 13:18:13 2003
@@ -56,7 +56,6 @@
 #include "patricia.h"
 #include "reject.h"
 
-char *ret_maskip(struct Client *);
 
 struct config_server_hide ConfigServerHide;
 
@@ -532,18 +531,6 @@
 			SetNeedId(client_p);
 		if(IsConfRestricted(aconf))
 			SetRestricted(client_p);
-
-
-		strlcpy (client_p->rhost, client_p->host, sizeof(client_p->rhost));
-		if(IsConfDoMaskIp(aconf))
-		{
-			strcpy (client_p->host, ret_maskip(client_p));
-			client_p->umodes |= UMODE_IPMASK;
-			if(!IsConfNoMaskNotice(aconf))
-			{
-				sendto_realops_flags (UMODE_ALL, L_ALL, ":%s mssking: %s as %s", client_p->name, client_p->rhost, client_p->host);
-			}
-		}
 
 		/* Thanks for spoof idea amm */
 		if(IsConfDoSpoofIp(aconf))
diff -uNrd ircd-ratbox-1.2-3+ipmask/src/s_serv.c ircd-ratbox-1.2-3/src/s_serv.c
--- ircd-ratbox-1.2-3+ipmask/src/s_serv.c	Thu Nov 27 09:18:28 2003
+++ ircd-ratbox-1.2-3/src/s_serv.c	Sat Sep  6 08:57:51 2003
@@ -98,7 +98,6 @@
 	{ "UNKLN",	CAP_UNKLN },
 	{ "CLUSTER",	CAP_CLUSTER },
 	{ "ENCAP",	CAP_ENCAP },
-	{ "IPMASK", CAP_IPMASK },
 	{ 0, 		0 }
 };
 
@@ -801,23 +800,21 @@
 	}
 
 	if(HasID(target_p) && IsCapable(client_p, CAP_UID))
-		sendto_one(client_p, "CLIENT %s %d %lu %s %s %s %s %s %s :%s",
+		sendto_one(client_p, "CLIENT %s %d %lu %s %s %s %s %s :%s",
 			   target_p->name,
 			   target_p->hopcount + 1,
 			   (unsigned long) target_p->tsinfo,
 			   ubuf,
 			   target_p->username, target_p->host,
-			   target_p->user->server, target_p->user->id,
-               IsCapable (client_p, CAP_IPMASK)? target_p->rhost : "", target_p->info);
+			   target_p->user->server, target_p->user->id, target_p->info);
 	else
-		sendto_one(client_p, "NICK %s %d %lu %s %s %s %s %s :%s",
+		sendto_one(client_p, "NICK %s %d %lu %s %s %s %s :%s",
 			   target_p->name,
 			   target_p->hopcount + 1,
 			   (unsigned long) target_p->tsinfo,
 			   ubuf,
 			   target_p->username, target_p->host,
-			   target_p->user->server,
-               IsCapable (client_p, CAP_IPMASK)? target_p->rhost : "", target_p->info);
+			   target_p->user->server, target_p->info);
 }
 
 /*
diff -uNrd ircd-ratbox-1.2-3+ipmask/src/s_user.c ircd-ratbox-1.2-3/src/s_user.c
--- ircd-ratbox-1.2-3+ipmask/src/s_user.c	Thu Nov 27 09:19:14 2003
+++ ircd-ratbox-1.2-3/src/s_user.c	Sat Jul 19 03:44:52 2003
@@ -62,7 +62,6 @@
 static int introduce_client(struct Client *client_p, struct Client *source_p,
 			    struct User *user, char *nick);
 int oper_up(struct Client *source_p, struct ConfItem *aconf);
-char *ret_maskip(struct Client *);
 
 extern char *crypt();
 
@@ -91,7 +90,6 @@
 	{UMODE_UNAUTH, 'u'},
 	{UMODE_WALLOP, 'w'},
 	{UMODE_EXTERNAL, 'x'},
-    {UMODE_IPMASK, 'X'},
 	{UMODE_SPY, 'y'},
 	{UMODE_OPERWALL, 'z'},
 	{UMODE_OPERSPY, 'Z'},
@@ -248,8 +246,6 @@
 	ircsprintf(isupportbuffer, FEATURES2, FEATURES2VALUES);
 	sendto_one(source_p, form_str(RPL_ISUPPORT), me.name, source_p->name, isupportbuffer);
 
-	sendto_one(source_p, ":%s 005 %s :This server utilizes IP masking.", me.name, source_p->name);
-
 	return;
 }
 
@@ -472,7 +468,7 @@
 		 ipaddr, HOSTIPLEN);
 	sendto_realops_flags(UMODE_CCONN, L_ALL,
 			     "Client connecting: %s (%s@%s) [%s] {%s} [%s]",
-			     nick, source_p->username, source_p->rhost,
+			     nick, source_p->username, source_p->host,
 #ifdef HIDE_SPOOF_IPS
 			     IsIPSpoof(source_p) ? "255.255.255.255" :
 #endif
@@ -642,22 +638,21 @@
 			continue;
 
 		if(IsCapable(server, CAP_UID) && HasID(source_p))
-			sendto_one(server, "CLIENT %s %d %lu %s %s %s %s %s %s:%s",
+			sendto_one(server, "CLIENT %s %d %lu %s %s %s %s %s :%s",
 				   nick,
 				   source_p->hopcount + 1,
 				   (unsigned long) source_p->tsinfo,
 				   ubuf,
 				   source_p->username, source_p->host, user->server,
-				   user->id,
-                   IsCapable (server, CAP_IPMASK)? source_p->rhost : "", source_p->info);
+				   user->id, source_p->info);
 		else
-			sendto_one(server, "NICK %s %d %lu %s %s %s %s %s :%s",
+			sendto_one(server, "NICK %s %d %lu %s %s %s %s :%s",
 				   nick,
 				   source_p->hopcount + 1,
 				   (unsigned long) source_p->tsinfo,
 				   ubuf,
 				   source_p->username, source_p->host, user->server,
-				   IsCapable (server, CAP_IPMASK)? source_p->rhost : "", source_p->info);
+				   source_p->info);
 	}
 
 	return 0;
@@ -880,7 +875,7 @@
  */
 int
 do_remote_user(char *nick, struct Client *client_p, struct Client *source_p,
-	       char *username, char *host, char *server, char *rhost, char *realname, char *id)
+	       char *username, char *host, char *server, char *realname, char *id)
 {
 	unsigned int oflags;
 	struct User *user;
@@ -903,11 +898,6 @@
 	if(id)
 		strlcpy(source_p->user->id, id, sizeof(source_p->user->id));
 
-	if(rhost)
-		strlcpy(source_p->rhost, rhost, sizeof(source_p->rhost));
-	else
-		strlcpy(source_p->rhost, "unavailable", sizeof(source_p->rhost));
-
 	return register_remote_user(client_p, source_p, source_p->name, username);
 }
 
@@ -1030,49 +1020,6 @@
 					}
 				}
 				break;
-
-                       case 'X':
-                               if (MyClient(source_p))
-                               {
-                                       struct ConfItem* aconf;
-                                       dlink_node *ptr;
-                                       ptr = source_p->localClient->confs.head;
-                                       aconf = ptr->data;
-
-                                       if(what == MODE_ADD)
-                                       {
-                                               if(IsConfDoSpoofIp(aconf))
-                                               {
-                                                       source_p->umodes &= ~UMODE_IPMASK;
-                                                       break;
-                                               }
-
-                                               if(IsMasked(source_p))
-                                               {
-                                                       if(!strcmp(ret_maskip(source_p), source_p->host))
-                                                               break;
-
-                                                       source_p->umodes |= UMODE_IPMASK;
-                                                       strcpy(source_p->host, ret_maskip(source_p));
-                                                       break;
-                                               }
-
-                                               source_p->umodes |= UMODE_IPMASK;
-                                               strcpy(source_p->host, ret_maskip(source_p));
-                                               break;
-                                       }
-
-                                       if(what == MODE_DEL)
-                                       {
-                                               if(!IsMasked(source_p))
-                                                       break;
-
-                                               source_p->umodes &= ~UMODE_IPMASK;
-                                               strcpy(source_p->host, source_p->rhost);
-                                               break;
-                                       }
-                               }
-                               break;
 
 				/* we may not get these,
 				 * but they shouldnt be in default
diff -uNrd ircd-ratbox-1.2-3+ipmask/src/whowas.c ircd-ratbox-1.2-3/src/whowas.c
--- ircd-ratbox-1.2-3+ipmask/src/whowas.c	Thu Nov 27 09:18:28 2003
+++ ircd-ratbox-1.2-3/src/whowas.c	Thu Jun 26 07:03:21 2003
@@ -88,7 +88,6 @@
 	strlcpy(who->name, client_p->name, sizeof(who->name));
 	strcpy(who->username, client_p->username);
 	strcpy(who->hostname, client_p->host);
-	strcpy(who->rhostname, client_p->rhost);
 	strcpy(who->realname, client_p->info);
 
 	who->servername = client_p->user->server;
